<?php 
require_once('conecta.php');

//<!-- UPDATE BLOCO -->
 if ($_GET['bloco'] == 1) { 
    

    $idpagina = $_GET['id'];

    // Obtém os valores dos campos do formulário
    $titulo = $_POST['titulo'];
    $descricao_curta = $_POST['descricao_curta'];
    $link = $_POST['link'];
    $video = $_POST['video'];
    //$imagem_fundo = $_FILES['imagem_lateral']['name'];
    
    if (!empty($_FILES['imagem_lateral']['name'])) {
        $data = date('d/m/Y H:i'); // Obter a data formatada como "yyyy-mm-dd"
        $hash = hash('md5', $data); // Gerar um hash MD5 da data


        $gerapixel = "_pixel_imagem_" . $hash . "";


        //$destino = 'images/usuarios/' . $usuario_up_id . $gerapixel . $nome;
        // obtendo o nome do arquivo de imagem enviado
        $imagem_fundo = $gerapixel . $_FILES['imagem_lateral']['name'];

        $extensao = pathinfo($imagem_fundo, PATHINFO_EXTENSION);
        $imagem_fundo = pathinfo($imagem_fundo, PATHINFO_FILENAME);
        $imagem_fundo = preg_replace('/[^A-Za-z0-9\-]/', '', $imagem_fundo);
        $imagem_fundo = preg_replace('/[\-]+/', '-', $imagem_fundo);
        $imagem_fundo = str_replace(' ', '-', $imagem_fundo);
        $imagem_fundo = strtolower($imagem_fundo);
        $imagem_fundo .= '.' . $extensao;

        // movendo a imagem para a pasta de upload
        move_uploaded_file($_FILES['imagem_lateral']['tmp_name'], "../images/gerais/" . $imagem_fundo);
    
    

    // Executa a query de update
    $sql = "UPDATE bloco_home SET titulo='$titulo', link='$link', video='$video', imagem_lateral='$imagem_fundo', descricao_curta='$descricao_curta' WHERE id= $idpagina";

    } else {
        $sql = "UPDATE bloco_home SET titulo='$titulo', link='$link', video='$video', descricao_curta='$descricao_curta' WHERE id= $idpagina";

    }
    if (mysqli_query($conn, $sql)) {
    // Redireciona o usuário para a página de destino
    header('Location: ../bloco_home_update.php?atualizado=ok&id=' . $idpagina . "" );
    exit;
    } else {
    echo "Erro ao atualizar dados: " . mysqli_error($conn);
    }

    // Fecha a conexão com o MySQL
    mysqli_close($conn);
    

 }  


//<!-- LOGO FAVICON -->
 if ($_GET['bloco'] == 2) { 


$idpagina = $_GET['id'];

$data = date('d/m/Y H:i'); // Obter a data formatada como "yyyy-mm-dd"
$hash = hash('md5', $data); // Gerar um hash MD5 da data


$gerapixel = "_pixel_imagem_" . $hash . "";

// obtendo o nome do arquivo de imagem enviado
$logo_nome = $gerapixel . $_FILES['imagem2']['name'];

$extensao = pathinfo($logo_nome, PATHINFO_EXTENSION);
$logo_nome = pathinfo($logo_nome, PATHINFO_FILENAME);
$logo_nome = preg_replace('/[^A-Za-z0-9\-]/', '', $logo_nome);
$logo_nome = preg_replace('/[\-]+/', '-', $logo_nome);
$logo_nome = str_replace(' ', '-', $logo_nome);
$logo_nome = strtolower($logo_nome);
$logo_nome .= '.' . $extensao;


// movendo a imagem para a pasta de upload
move_uploaded_file($_FILES['imagem2']['tmp_name'], "../images/gerais/" . $logo_nome);

// criando a query SQL para atualizar os dados na tabela
$sql = "UPDATE bloco_home SET 
        imagem2='$logo_nome'
        WHERE id= $idpagina";

// executando a query SQL
if ($conn->query($sql) === TRUE) {
  echo "Dados atualizados com sucesso!";
} else {
  echo "Erro ao atualizar dados: " . $conn->error;
}

// Redireciona o usuário para a página de destino
header('Location: ../bloco_home_update.php?atualizado=ok&id=' . $idpagina . "" );
exit;

// fechando a conexão com o banco de dados
$conn->close();

 }  


//<!-- LOGO FAVICON -->
 if ($_GET['bloco'] == 3) { 


$idpagina = $_GET['id'];

$data = date('d/m/Y H:i'); // Obter a data formatada como "yyyy-mm-dd"
$hash = hash('md5', $data); // Gerar um hash MD5 da data


$gerapixel = "_video_" . $hash . "";


// obtendo o nome do arquivo de imagem enviado
$logo_nome = $gerapixel . $_FILES['video_arquivo']['name'];

$extensao = pathinfo($logo_nome, PATHINFO_EXTENSION);
$nome_sem_extensao = pathinfo($logo_nome, PATHINFO_FILENAME);
$nome_sem_extensao = preg_replace('/[^A-Za-z0-9\-]/', '', $nome_sem_extensao);
$nome_sem_extensao = preg_replace('/[\-]+/', '-', $nome_sem_extensao);
$nome_sem_extensao = str_replace(' ', '-', $nome_sem_extensao);
$nome_sem_extensao = strtolower($nome_sem_extensao);

$logo_nome = $nome_sem_extensao . '_' . $hash . '.' . $extensao; // adiciona a extensão ao nome do arquivo

// movendo a imagem para a pasta de upload
move_uploaded_file($_FILES['video_arquivo']['tmp_name'], "../images/gerais/" . $logo_nome);

// criando a query SQL para atualizar os dados na tabela
$sql = "UPDATE bloco_home SET 
        video_arquivo='$logo_nome'
        WHERE id= $idpagina";

// executando a query SQL
if ($conn->query($sql) === TRUE) {
  echo "Dados atualizados com sucesso!";
} else {
  echo "Erro ao atualizar dados: " . $conn->error;
}

// Redireciona o usuário para a página de destino
header('Location: ../bloco_home_update.php?atualizado=ok&id=' . $idpagina . "" );
exit;

// fechando a conexão com o banco de dados
$conn->close();

 }  